:root {
    --static: rgba(225, 225, 225, 0.5);
    --static4: rgba(225, 225, 225, 0.2);
    --static3: #ffffff;
    --static2: #0f0f0f;
    --static5: rgb(24, 172, 122);
    --primary: #000000;
    --secondary: #ffffff;
    --primbuttn: #ee0022;
    --secbuttn: #f8f9fa;
    --accent: #4d5668;
}

:root {
    font-family: "Inter", sans-serif;
}
@supports (font-variation-settings: normal) {
    :root {
        font-family: "Inter var", sans-serif;
    }
}

:root {
    --h1: 48px;
    --h2: 32px;
    --subtitle: 24px;
    --p: 18px;
    --sub: 16px;
}

* {
    box-sizing: border-box;
    scroll-padding-top: 3em;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100vh;
    margin: 0 15%;
    gap: 4em;

    /* font */
    font-family: "Inter", sans-serif;

    /* color */
    color: var(--primary);
    background-color: var(--secondary);
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 8em;
    margin: 3em 0;
}

/* text styles */
h1 {
    font-size: 48px;
    letter-spacing: -1px;
    font-weight: 700;
    margin: 0;
}

h2 {
    font-size: 32px;
    letter-spacing: -2px;
    font-weight: 700;
    margin: 0;
}

h3 {
    font-size: var(--subtitle);
    font-weight: 700;
}

a {
    text-decoration: none;
    color: inherit;
}

p {
    font-size: 18px;
    letter-spacing: normal;
    line-height: 150%;
}

::selection {
    background-color: var(--accent);
}

.subtitle {
    font-size: var(--subtitle);
}

.sub {
    font-size: var(--sub);
}

.link.reversed {
    border-bottom: 2px solid var(--secondary);
}

.link.reversed:hover {
    background-color: var(--secondary);
    color: var(--primary);
}

.link {
    border-bottom: 2px solid var(--accent);
}

.link:hover {
    background-color: var(--accent);
    color: var(--secondary);
}

/* toolbar styles */

.toolbar {
    position: fixed;
    bottom: 3em;
    backdrop-filter: blur(50px);
    display: flex;
    flex-direction: row;
    background-color: var(--static);
    padding: 6px;
    border-radius: 6px;
    gap: 6px;
    z-index: 9999;
}

.option {
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: var(--secondary);
    cursor: pointer;
    gap: 0.5em;
    border-radius: 4px;
    user-select: none;
    position: relative;
    height: 60px;
}

.colorpicker {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: transparent;
    height: 60px;
    cursor: pointer;
    border-radius: 4px;
    border: none;
    visibility: hidden;
    position: absolute;
    -webkit-user-select: auto;
}

.colorpicker::-webkit-color-swatch {
    border-radius: 4px;
    border: none;
}

.colorpicker::-moz-color-swatch {
    border-radius: 4px;
    border: none;
}

label {
    cursor: pointer;
    text-align: center;
    padding: 1.3em 1.5em;
    margin: 0;
}

.prim {
    background-color: var(--secondary);
    color: var(--primary);
}

.sec {
    background-color: var(--secondary);
    color: var(--primary);
}

.primbuttn {
    background-color: var(--primbuttn);
    color: var(--secondary);
}

.secbuttn {
    background-color: var(--secbuttn);
    color: var(--primary);
}

.accent {
    background-color: var(--accent);
    color: var(--primary);
}

.prim,
.sec,
.primbuttn,
.secbuttn,
.accent {
    flex-direction: column;
    gap: 0;
}

.export {
    color: var(--static2);
    background-color: var(--static3);
    padding: 1.1em 1.1em;
}

.randomize {
    color: var(--static2);
    background-color: var(--static3);
    padding: 1.1em 1.1em;
}

.share-link {
    color: var(--static2);
    background-color: var(--static3);
    padding: 1.1em 1.1em;
    gap: 1em;
}

.share-link-buttn {
    transition: all 0.2s ease;
}

.share-link-buttn.copied {
    color: var(--static5);
    transition: all 0.2s ease;
}

.heading-fonts-buttn {
    color: var(--static2);
    background-color: var(--static3);
    padding: 1.1em 1.5em;
    gap: 1em;
}

.text-fonts-buttn {
    color: var(--static2);
    background-color: var(--static3);
    padding: 1.1em 1.5em;
    gap: 1em;
}

.heading-fonts-box {
    position: absolute;
    bottom: 70px;
    width: max-content;
    padding: 1em;
    background-color: var(--static);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.heading-fonts-buttn > svg {
    pointer-events: none;
}

.text-fonts-buttn > svg {
    pointer-events: none;
}

.heading-fonts-label {
    pointer-events: none;
}

.text-fonts-label {
    pointer-events: none;
}

.text-fonts-box {
    position: absolute;
    bottom: 70px;
    width: max-content;
    padding: 1em;
    background-color: var(--static);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

input[type="file"] {
    display: none;
}

.font-label {
    color: var(--static2);
    background-color: var(--static3);
    padding: 1.1em 1.5em;
    gap: 1em;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.fonts-row {
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.reset-font-heading {
    padding: 1em;
}

.reset-font-text {
    padding: 1em;
}

.hex-input {
    font-size: 12px;
    text-align: center;
    border: 1px solid transparent;
    background-color: transparent;
    color: currentColor;
    outline: none;
    width: 80px;
    opacity: 50%;
    box-sizing: border-box;
    position: relative;
    top: 1.5em;
}

.hex-input::selection {
    background-color: #b2d7ff;
    color: var(--static2);
}

.color-label {
    font-size: var(--sub);
}

.colors-option:hover > .hex-input {
    opacity: 1;
    border: solid 1px rgba(225, 225, 225, 0.2);
    background-color: rgba(225, 225, 225, 0.1);
    border-radius: 3px;
}

/* toolbar animation after clicking Get Started */

.toolbar.highlighted {
    animation-name: highlight;
    animation-duration: 0.4s;
}

@keyframes highlight {
    0%,
    100% {
        transform: translate(0, 0px) scale(1);
        transition: all 0.4s cubic-bezier(0.47, 1.64, 0.41, 0.8);
    }

    25% {
        transform: translate(0, -15px) scale(1);
        transition: all 0.4s cubic-bezier(0.47, 1.64, 0.41, 0.8);
    }

    50% {
        transform: translate(0, 0px) scale(1);
        transition: all 0.4s cubic-bezier(0.47, 1.64, 0.41, 0.8);
    }

    75% {
        transform: translate(0, -7px) scale(1);
        transition: all 0.4s cubic-bezier(0.47, 1.64, 0.41, 0.8);
    }
}

/* nav */

nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    padding: 20px 0;
}

.logo {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1em;
}

.logoface {
    width: 50px;
    transform: rotate(0);
}

.logo:hover > .logoface {
    transform: rotate(360deg);
    transition: all ease-in-out 0.4s;
}

.sitename {
    font-size: var(--subtitle);
    letter-spacing: -0.5px;
}

.menu {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5em;
}

.menu.hide {
    display: flex;
}

.ham-menu {
    display: none;
}

.menu-item {
    font-size: var(--sub);
    transition: transform ease 0.2s;
}

.menu-item-font {
    font-size: var(--sub) !important;
}

.menu-item-header {
    opacity: 50%;
}
.current {
    font-weight: bold;
}

/* buttons */

.primary-button {
    padding: 1em 2em;
    background-color: var(--primbuttn);
    color: var(--secondary);
    border-radius: 6px;
    transition: transform ease 0.2s, box-shadow ease 0.2s;
    display: inline-block;
    font-size: 18px;
    z-index: 2;
}

.primary-button:hover {
    transform: translate(0, -3px);
    box-shadow: 0 20px 80px -10px var(--primbuttn);
}

.secondary-button {
    padding: 1em 2em;
    background-color: var(--secbuttn);
    color: var(--primary);
    border-radius: 6px;
    transition: transform ease 0.2s, box-shadow ease 0.2s;
    display: inline-block;
    font-size: 18px;
    z-index: 1;
}

.secondary-button:hover {
    transform: translate(0, -3px);
}

/* hero */

.hero {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 6em;
    gap: 3em;
}

.color-effect {
    background: linear-gradient(120deg, var(--primbuttn), var(--accent));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3em;
    width: 50%;
}

.hero-cta {
    display: flex;
    flex-direction: row;
    gap: 1em;
    flex-wrap: wrap;
}

.hero-scroll {
    display: flex;
    flex-direction: row;
    gap: 1em;
    align-items: center;
    font-size: 16px;
}

.mondrian {
    max-width: 100%;
}

.hero-img {
    width: 45%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

#mondrian-info-icon {
    transition: all ease 0.3s;
    position: absolute;
}

#mondrian-info-icon:hover {
    opacity: 50%;
    transition: all ease 0.3s;
}

/* part 1 */

.part1 {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2em;
    justify-content: center;
    align-items: center;
}

.part1-rows {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1em;
    justify-content: center;
    align-items: center;
}

.part1-cards {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.part1-card {
    width: 30%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    padding: 3em;
}

.part1-card-bg {
    background-color: var(--primary);
    opacity: 5%;
    position: absolute;
    height: 100%;
    width: 100%;
    border-radius: 6px;
    flex: 1;
    top: 0;
    left: 0;
}

.part1-card-img {
    height: 50%;
}

.highlight {
    z-index: 5;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.highlight::before {
    content: "";
    height: 50%;
    width: 100%;
    display: block;
    z-index: -5;
    opacity: 30%;
    position: absolute;
    transition: all 0.3s ease;
    background: linear-gradient(180deg, transparent 50%, var(--accent) 50%);
}

.part1-card:hover > .highlight::before {
    transition: all 0.3s ease;
    height: 100%;
}

.part1 > h3 {
    align-self: flex-start;
}

/* part 2 */

.part2 {
    background-color: var(--secbuttn);
    border-radius: 6px;
    padding: 3em 5em;

    display: flex;
    flex-direction: row;
    gap: 6em;
    justify-content: space-between;
}

.part2-left {
    width: 30%;
}

.part2-right {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 70%;
    gap: 5em;
}

.step {
    width: 30%;
    flex-grow: 2;
}

.one::before {
    content: "1";
    font-size: var(--h2);
    font-weight: 800;
    position: absolute;
    transform: translate(-1em, 0);
}

.two::before {
    content: "2";
    font-size: var(--h2);
    font-weight: 800;
    position: absolute;
    transform: translate(-1em, 0);
}

.three::before {
    content: "3";
    font-size: var(--h2);
    font-weight: 800;
    position: absolute;
    transform: translate(-1em, 0);
}

.four::before {
    content: "4";
    font-size: var(--h2);
    font-weight: 800;
    position: absolute;
    transform: translate(-1em, 0);
}

.part2.get-suggestions {
    background-color: #f1f1f1;
}

/* part 3 */

.part3 {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    gap: 2em;
}

.part3-cards {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
    height: 100%;
}

.part3-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 30%;
    height: 100%;
    padding: 1em 3em 3em 3em;
    position: relative;
    gap: 2em;
}

.promo {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1em;
}

.promo-text {
    color: var(--primbuttn);
}

.promo-img {
    background-color: var(--primbuttn);
}

.part3-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.list {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1em;
    width: 100%;
}

.part3-bg {
    border: solid 4px var(--secbuttn);
    opacity: 30%;
    position: absolute;
    height: 100%;
    width: 100%;
    border-radius: 6px;
    z-index: -5;
    top: 0;
    left: 0;
}

.best {
    border: none;
    background-color: var(--primbuttn);
    opacity: 5%;
}

.part3-card-text {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}

.part3-card-text > p {
    text-align: center;
}

.part3-heading {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.check-icon {
    width: 20%;
}

.list-item {
    width: 80%;
}

/* part 4 */

.part4 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2em;
    width: 100%;
}

.faq-list {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 2em;
}

.faq {
    background-color: var(--secbuttn);
    padding: 0.5em 2em;
    border-radius: 6px;
    width: 100%;
    cursor: pointer;
}

.faq-q {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.faq-q > p {
    font-weight: bold;
}

.faq-q > h3 {
    width: 95%;
}

.faq-a {
    display: none;
    opacity: 0;
    visibility: hidden;
    transition: max-height ease 0.2s, opacity ease 0.2s, visibility ease 0.2s;
}

.faq-a.expand {
    display: flex;
    opacity: 1;
    visibility: visible;
    transition: max-height ease 0.2s, opacity ease 0.2s, visibility ease 0.2s;
}

.faq-icon {
    transform: rotate(0deg);
    transition: all ease-in-out 0.2s;
    max-width: 5%;
}

.faq-icon.expand {
    transform: rotate(45deg);
    transition: all ease-in-out 0.2s;
}

.part4-heading {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* part 5 - footer */

.part5 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2em;
}

.reversed {
    color: var(--secondary);
    background-color: var(--primary);
}

.footer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 2em;
    border-radius: 6px;
    background-color: var(--primary);
    color: var(--secondary);
    padding: 3em 5em;
    width: 100%;
    margin-bottom: 10em;
}

.footer-cols {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: 3em;
    width: 100%;
}

.footer-col {
    display: flex;
    flex-direction: column;
    gap: 2em;
    width: 30%;
}

.menu-item:hover {
    transform: translate(0, -3px);
}

/* tip */

#tip-bar {
    position: fixed;
    top: 1em;
    right: 0;
    background-color: #f2f2f2;
    color: var(--static2);
    text-align: center;
    padding: 0.5em 1em 0.5em 2em;
    transition: transform 0.2s ease;
    transform: translateX(40em);
    z-index: 9999;
    border-radius: 6px 0 0 6px;
    border-bottom: 6px solid var(--primbuttn);

    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 1em;
    justify-content: start;
}

#tip-bar.show {
    transform: translateX(0);
}

#close-btn {
    background-color: transparent;
    border: none;
    font-size: 32px;
    cursor: pointer;
    color: var(--static2);
}

/* color source top left */

.color-source {
    position: fixed;
    padding: 0.5em 1em;
    top: 1em;
    left: 1em;
    font-size: 14px;
    color: var(--primary);
    background-color: var(--secondary);
    border-radius: 6px;
    line-height: 200%;
    z-index: 9999;
}

/* toolbar expand button */

.colors-rollout {
    background-color: var(--static3);
    color: var(--static2);
    padding: 0.5em 1em;
}

.colors-rollout.hide {
    display: none;
}

.fonts-rollout {
    background-color: var(--static3);
    color: var(--static2);
    padding: 0.5em 1em;
}

.fonts-rollout.hide {
    display: none;
}

.hide {
    display: none;
}

/* arrow */
.text-fonts-box {
    display: none;
    opacity: 0;
    transition: all 0.3s ease-out;
}

.text-fonts-box.open {
    display: block;
    opacity: 1;
}

.text-fonts-buttn svg {
    transition: transform 0.3s ease-out;
}

.text-fonts-buttn svg.rotate {
    transform: rotate(180deg);
}

.heading-fonts-box {
    display: none;
    opacity: 0;
    transition: all 0.3s ease-out;
}

.heading-fonts-box.open {
    display: block;
    opacity: 1;
}

.heading-fonts-buttn svg {
    transition: transform 0.3s ease-out;
}

.heading-fonts-buttn svg.rotate {
    transform: rotate(180deg);
}

/* tools */

.color-tools-span {
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.color-tools-span.hide {
    display: none;
}

.font-tools-span {
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.font-tools-span.hide {
    display: none;
}

.fonts-rollout > svg {
    transition: transform ease 0.3s;
}

.colors-rollout > svg {
    transition: transform ease 0.3s;
}

.rotateX {
    transform: rotate(45deg);
    transition: transform ease 0.3s;
}

/* GET SUGGESTIONS PAGE */

.color-block {
    width: 100%;
    height: 100px;
    border-radius: 10px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    cursor: pointer;
    user-select: none;
}

.row {
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 1em;
}

.main-block {
    width: 65%;
    height: 100px;
    display: inline-block;
    border-radius: 10px;
    background-color: #3c62e7;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.main-block > p {
    color: #fff;
}

.hero-img-left,
.hero-img-right {
    opacity: 20%;
}

.color-code {
    opacity: 0;
    transition: 0.3s ease all;
    transition-delay: 0.1s;

    background-color: rgba(255, 255, 255, 0.74);
    padding: 0.5em;
    border-radius: 5px;
}

.color-block:hover > .color-code {
    opacity: 1;
    transition: 0.3s ease all;
}

/* undo / redo */

#undo,
#redo {
    padding: 1.1em 1.5em;
    background-color: var(--static3);
    color: var(--static2);
}

.option-label {
    display: none;
}

.disabled {
    pointer-events: none;
    opacity: 50%;
    background-color: var(--static);
}

/* tooltip */

.option .tooltip {
    visibility: hidden;
    width: max-content;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(20px);
    color: var(--static3);
    text-align: center;
    padding: 10px;
    border-radius: 6px;
    position: absolute;
    z-index: 1;
    bottom: 100%;
    opacity: 0;
    transition: opacity 0.3s;
}

.option:hover .tooltip {
    visibility: visible;
    opacity: 1;
    transition: opacity 0.3s;
}

.option .tooltip::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: rgba(0, 0, 0, 0.8) transparent transparent transparent;
    backdrop-filter: blur(20px);
}

.tooltip-share.copied {
    background-color: var(--static5);
    transition: all 0.2s ease;
}

.tooltip-share.copied::after {
    border-color: rgb(24, 172, 122) transparent transparent transparent;
}

.tooltip {
    font-size: 14px;
}

.controls-tooltip {
    font-size: 12px;
    opacity: 50%;
}

.tooltip-share.copied.hover {
    opacity: 1 !important;
    visibility: visible;
}

/* responsiveness */

@media screen and (max-width: 1200px) {
    body {
        margin: 0 5%;
    }

    .option > div,
    .option > label {
        font-size: 14px;
    }

    .toolbar {
        bottom: 2em;
    }

    h1 {
        font-size: 32px;
    }

    h2 {
        font-size: 24px;
    }

    .subtitle {
        font-size: 20px;
    }

    h3 {
        font-size: 20px;
    }

    p {
        font-size: 16px;
    }

    .sub {
        font-size: 14px;
    }
}

@media screen and (max-width: 1100px) {
    body {
        gap: 2em;
        margin-top: 6em;
    }

    .sitename {
        font-size: 20px;
    }
    .hero {
        flex-wrap: wrap;
        justify-content: center;
    }

    .part1-cards {
        flex-direction: column;
        gap: 2em;
    }

    .part1-card {
        width: 100%;
    }

    .part2 {
        flex-direction: column;
    }

    .part3-cards {
        flex-direction: column;
        gap: 2em;
    }

    .part3-card {
        width: 100%;
    }

    .part2-left {
        width: 100%;
    }

    .part2-right {
        width: 100%;
    }

    .toolbar {
        flex-wrap: wrap;
        justify-content: center;
    }

    nav {
        flex-wrap: wrap;
        position: fixed;
        background-color: rgba(225, 225, 225, 0.2);
        backdrop-filter: blur(50px);
        padding: 10px 20px;
        top: 20px;
        margin: 0 20px;
        z-index: 9999;
        width: 90%;
        border-radius: 10px;
        gap: 3em;
    }

    main {
        margin: 3% 5%;
        width: 100%;
    }

    .footer-cols {
        flex-direction: column;
    }

    .footer-col {
        width: 100%;
    }

    .footer {
        padding: 3em;
    }

    .hero-text {
        width: 100%;
        gap: 1em;
    }

    .hero-img {
        width: 80%;
    }

    .mondrian {
        height: auto;
    }

    .hero {
        flex-direction: column-reverse;
        align-items: center;
        gap: 2em;
    }

    .logoface {
        width: 30px;
    }

    .hero-cta {
        flex-direction: column;
    }

    .primary-button,
    .secondary-button {
        text-align: center;
    }

    .menu {
        display: flex;
        flex-direction: column !important;
        height: 100%;
        align-items: flex-start;
        gap: 0.5em;
        width: 100%;
        justify-content: flex-start;
        height: 100vh;
    }

    .menu :nth-child(4) {
        display: none;
    }

    .menu-item-mobile {
        background-color: rgba(246, 246, 246, 0.2);
        padding: 1.5em;
        width: 100%;
        border-radius: 5px;
    }

    .menu.hide {
        display: none;
    }

    .option-label {
        display: flex;
    }

    .tooltip {
        display: none;
    }

    .rolloutbutton {
        display: flex !important;
        padding: 0.5em 5em;
    }

    .rolloutbutton.rotate-colors > svg {
        transform: rotate(45deg);
    }

    .toolbar {
        flex-direction: row;
        align-self: center;
        bottom: 1em;
        width: 90%;
        z-index: 9998;
    }

    .colors-rollout.hide {
        display: flex !important;
    }

    .colors-rollout {
        display: flex !important;
        width: 48%;
    }

    .fonts-rollout {
        display: flex !important;
        width: 48%;
    }

    .fonts-rollout.hide {
        display: flex !important;
    }

    .divider-line {
        display: none;
    }

    .color-tools-span {
        display: none !important;
        flex-direction: column !important;
        position: absolute;
        bottom: 80px;
        width: 100%;
        background-color: var(--static);
        padding: 6px;
        border-radius: 6px;
        height: 70vh;
        overflow: scroll;
    }

    .color-tools-span.hide {
        display: flex !important;
    }

    .font-tools-span {
        flex-direction: column !important;
        position: absolute;
        bottom: 80px;
        width: 100%;
        background-color: var(--static);
        padding: 6px;
        border-radius: 6px;
    }

    .heading-fonts-buttn {
        flex-direction: column;
        height: auto;
    }

    .heading-fonts-buttn > svg {
        display: none;
    }

    .heading-fonts-box {
        position: relative;
        bottom: 0;
        display: block !important;
        opacity: 1 !important;
        width: 100%;
    }

    .text-fonts-buttn {
        flex-direction: column;
        height: auto;
    }

    .text-fonts-buttn > svg {
        display: none;
    }

    .text-fonts-box {
        position: relative;
        bottom: 0;
        display: block !important;
        opacity: 1 !important;
        width: 100%;
    }

    .fonts-row :nth-child(1) {
        width: 75% !important;
    }

    .rollout-colors {
        display: none !important;
    }

    .get-suggestions-toolbar {
        flex-direction: row;
        align-self: center;
    }

    .hero-img-left,
    .hero-img-right {
        display: none;
    }

    .main-block > p {
        font-size: 12px;
    }

    .color-block > p {
        font-size: 12px;
    }

    .main-block {
        height: 150px !important;
    }

    .color-block {
        height: 150px !important;
    }

    .row {
        width: 100% !important;
    }

    /* hamburger menu */

    .ham-menu {
        display: flex;
        background-color: rgba(255, 255, 255, 0.3);
        padding: 0.8em 0.5em;
        border-radius: 5px;
    }

    #hamburger {
        display: inline-block;
        cursor: pointer;
        background-color: transparent;
        border: none;
        padding: 0;
        margin: 0;
        position: relative;
        width: 20px;
        height: 10px;
    }

    #hamburger span {
        position: absolute;
        left: 0;
        width: 100%;
        height: 2px;
        background-color: var(--primary);
        transition: transform 0.3s ease;
    }

    #hamburger span:first-child {
        top: 0;
    }

    #hamburger span:last-child {
        bottom: 0;
    }

    #hamburger.active span:first-child {
        transform: translateY(4px) rotate(45deg);
    }

    #hamburger.active span:last-child {
        transform: translateY(-4px) rotate(-45deg);
    }

    .disabled {
        background: #c2c2c2 !important;
        opacity: 1;
        color: #aaaaaa !important;
    }

    .disabled > svg {
        opacity: 20%;
    }
}

@media screen and (max-width: 800px) {
    .step {
        width: 100%;
    }

    .part2 {
        gap: 1em;
    }

    .part2-right {
        gap: 1em;
    }

    .color-code {
        font-size: 10px;
    }
}
